/**
 * @class kPuppet
 * @brief Players are the only actors of type kPuppet.
 */
 
class kPuppet : kActor
{
public:

	/**
	 * @brief The players that owns this puppet
	 */
	kPlayer &PlayerOwner();
	EnumPlayerFlags &PlayerFlags();
};
